<?php

if ( ! function_exists('alvida_about') ) {

// Register Custom Post Type
function alvida_about() {

	$labels = array(
		'name'                  => esc_html_x( 'About Us', 'Post Type General Name', 'alvida' ),
		'singular_name'         => esc_html_x( 'About Us', 'Post Type Singular Name', 'alvida' ),
		'menu_name'             => esc_html__( 'About Us', 'alvida' ),
		'name_admin_bar'        => esc_html__( 'About Us', 'alvida' ),
		'archives'              => esc_html__( 'Item Archives', 'alvida' ),
		'attributes'            => esc_html__( 'Item Attributes', 'alvida' ),
		'parent_item_colon'     => esc_html__( 'Parent Item:', 'alvida' ),
		'all_items'             => esc_html__( 'All Items', 'alvida' ),
		'add_new_item'          => esc_html__( 'Add New Item', 'alvida' ),
		'add_new'               => esc_html__( 'Add New', 'alvida' ),
		'new_item'              => esc_html__( 'New Item', 'alvida' ),
		'edit_item'             => esc_html__( 'Edit Item', 'alvida' ),
		'update_item'           => esc_html__( 'Update Item', 'alvida' ),
		'view_item'             => esc_html__( 'View Item', 'alvida' ),
		'view_items'            => esc_html__( 'View Items', 'alvida' ),
		'search_items'          => esc_html__( 'Search Item', 'alvida' ),
		'not_found'             => esc_html__( 'Not found', 'alvida' ),
		'not_found_in_trash'    => esc_html__( 'Not found in Trash', 'alvida' ),
		'featured_image'        => esc_html__( 'Featured Image', 'alvida' ),
		'set_featured_image'    => esc_html__( 'Set featured image', 'alvida' ),
		'remove_featured_image' => esc_html__( 'Remove featured image', 'alvida' ),
		'use_featured_image'    => esc_html__( 'Use as featured image', 'alvida' ),
		'insert_into_item'      => esc_html__( 'Insert into item', 'alvida' ),
		'uploaded_to_this_item' => esc_html__( 'Uploaded to this item', 'alvida' ),
		'items_list'            => esc_html__( 'Items list', 'alvida' ),
		'items_list_navigation' => esc_html__( 'Items list navigation', 'alvida' ),
		'filter_items_list'     => esc_html__( 'Filter items list', 'alvida' ),
	);
	$args = array(
		'label'                 => esc_html__( 'About Us', 'alvida' ),
		'description'           => esc_html__( 'Post Type Description', 'alvida' ),
		'labels'                => $labels,
		'supports'              => array( 'title', 'editor' ),
		'hierarchical'          => false,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 5,
		'menu_icon'   => 'dashicons-universal-access-alt',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => true,		
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
	);
	register_post_type( 'about', $args );

}
add_action( 'init', 'alvida_about', 0 );

}

if ( ! function_exists('alvida_features') ) {

// Register Custom Post Type
function alvida_features() {

	$labels = array(
		'name'                  => esc_html_x( 'Features', 'Post Type General Name', 'alvida' ),
		'singular_name'         => esc_html_x( 'Feature', 'Post Type Singular Name', 'alvida' ),
		'menu_name'             => esc_html__( 'Features', 'alvida' ),
		'name_admin_bar'        => esc_html__( 'Features', 'alvida' ),
		'archives'              => esc_html__( 'Item Archives', 'alvida' ),
		'attributes'            => esc_html__( 'Item Attributes', 'alvida' ),
		'parent_item_colon'     => esc_html__( 'Parent Item:', 'alvida' ),
		'all_items'             => esc_html__( 'All Items', 'alvida' ),
		'add_new_item'          => esc_html__( 'Add New Item', 'alvida' ),
		'add_new'               => esc_html__( 'Add New', 'alvida' ),
		'new_item'              => esc_html__( 'New Item', 'alvida' ),
		'edit_item'             => esc_html__( 'Edit Item', 'alvida' ),
		'update_item'           => esc_html__( 'Update Item', 'alvida' ),
		'view_item'             => esc_html__( 'View Item', 'alvida' ),
		'view_items'            => esc_html__( 'View Items', 'alvida' ),
		'search_items'          => esc_html__( 'Search Item', 'alvida' ),
		'not_found'             => esc_html__( 'Not found', 'alvida' ),
		'not_found_in_trash'    => esc_html__( 'Not found in Trash', 'alvida' ),
		'featured_image'        => esc_html__( 'Featured Image', 'alvida' ),
		'set_featured_image'    => esc_html__( 'Set featured image', 'alvida' ),
		'remove_featured_image' => esc_html__( 'Remove featured image', 'alvida' ),
		'use_featured_image'    => esc_html__( 'Use as featured image', 'alvida' ),
		'insert_into_item'      => esc_html__( 'Insert into item', 'alvida' ),
		'uploaded_to_this_item' => esc_html__( 'Uploaded to this item', 'alvida' ),
		'items_list'            => esc_html__( 'Items list', 'alvida' ),
		'items_list_navigation' => esc_html__( 'Items list navigation', 'alvida' ),
		'filter_items_list'     => esc_html__( 'Filter items list', 'alvida' ),
	);
	$args = array(
		'label'                 => esc_html__( 'Features', 'alvida' ),
		'description'           => esc_html__( 'Post Type Description', 'alvida' ),
		'labels'                => $labels,
		'supports'              => array( 'title', 'editor', ),
		'hierarchical'          => false,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 5,
		'menu_icon'   => 'dashicons-welcome-learn-more',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => true,		
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
	);
	register_post_type( 'features', $args );

}
add_action( 'init', 'alvida_features', 0 );

}

if ( ! function_exists('alvida_service') ) {

// Register Custom Post Type
function alvida_service() {

	$labels = array(
		'name'                  => esc_html_x( 'Services', 'Post Type General Name', 'alvida' ),
		'singular_name'         => esc_html_x( 'Service', 'Post Type Singular Name', 'alvida' ),
		'menu_name'             => esc_html__( 'Services', 'alvida' ),
		'name_admin_bar'        => esc_html__( 'Services', 'alvida' ),
		'archives'              => esc_html__( 'Item Archives', 'alvida' ),
		'attributes'            => esc_html__( 'Item Attributes', 'alvida' ),
		'parent_item_colon'     => esc_html__( 'Parent Item:', 'alvida' ),
		'all_items'             => esc_html__( 'All Items', 'alvida' ),
		'add_new_item'          => esc_html__( 'Add New Item', 'alvida' ),
		'add_new'               => esc_html__( 'Add New', 'alvida' ),
		'new_item'              => esc_html__( 'New Item', 'alvida' ),
		'edit_item'             => esc_html__( 'Edit Item', 'alvida' ),
		'update_item'           => esc_html__( 'Update Item', 'alvida' ),
		'view_item'             => esc_html__( 'View Item', 'alvida' ),
		'view_items'            => esc_html__( 'View Items', 'alvida' ),
		'search_items'          => esc_html__( 'Search Item', 'alvida' ),
		'not_found'             => esc_html__( 'Not found', 'alvida' ),
		'not_found_in_trash'    => esc_html__( 'Not found in Trash', 'alvida' ),
		'featured_image'        => esc_html__( 'Featured Image', 'alvida' ),
		'set_featured_image'    => esc_html__( 'Set featured image', 'alvida' ),
		'remove_featured_image' => esc_html__( 'Remove featured image', 'alvida' ),
		'use_featured_image'    => esc_html__( 'Use as featured image', 'alvida' ),
		'insert_into_item'      => esc_html__( 'Insert into item', 'alvida' ),
		'uploaded_to_this_item' => esc_html__( 'Uploaded to this item', 'alvida' ),
		'items_list'            => esc_html__( 'Items list', 'alvida' ),
		'items_list_navigation' => esc_html__( 'Items list navigation', 'alvida' ),
		'filter_items_list'     => esc_html__( 'Filter items list', 'alvida' ),
	);
	$args = array(
		'label'                 => esc_html__( 'Services', 'alvida' ),
		'description'           => esc_html__( 'Post Type Description', 'alvida' ),
		'labels'                => $labels,
		'supports'              => array( 'title', 'editor', ),
		'hierarchical'          => false,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 5,
		'menu_icon'   => 'dashicons-megaphone',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => true,		
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
	);
	register_post_type( 'service', $args );

}
add_action( 'init', 'alvida_service', 0 );

}

if ( ! function_exists('alvida_portfolio') ) {

// Register Custom Post Type
function alvida_portfolio() {

	$labels = array(
		'name'                  => esc_html_x( 'Portfolios', 'Post Type General Name', 'alvida' ),
		'singular_name'         => esc_html_x( 'Portfolio', 'Post Type Singular Name', 'alvida' ),
		'menu_name'             => esc_html__( 'Portfolios', 'alvida' ),
		'name_admin_bar'        => esc_html__( 'Portfolios', 'alvida' ),
		'archives'              => esc_html__( 'Item Archives', 'alvida' ),
		'attributes'            => esc_html__( 'Item Attributes', 'alvida' ),
		'parent_item_colon'     => esc_html__( 'Parent Item:', 'alvida' ),
		'all_items'             => esc_html__( 'All Items', 'alvida' ),
		'add_new_item'          => esc_html__( 'Add New Item', 'alvida' ),
		'add_new'               => esc_html__( 'Add New', 'alvida' ),
		'new_item'              => esc_html__( 'New Item', 'alvida' ),
		'edit_item'             => esc_html__( 'Edit Item', 'alvida' ),
		'update_item'           => esc_html__( 'Update Item', 'alvida' ),
		'view_item'             => esc_html__( 'View Item', 'alvida' ),
		'view_items'            => esc_html__( 'View Items', 'alvida' ),
		'search_items'          => esc_html__( 'Search Item', 'alvida' ),
		'not_found'             => esc_html__( 'Not found', 'alvida' ),
		'not_found_in_trash'    => esc_html__( 'Not found in Trash', 'alvida' ),
		'featured_image'        => esc_html__( 'Featured Image', 'alvida' ),
		'set_featured_image'    => esc_html__( 'Set featured image', 'alvida' ),
		'remove_featured_image' => esc_html__( 'Remove featured image', 'alvida' ),
		'use_featured_image'    => esc_html__( 'Use as featured image', 'alvida' ),
		'insert_into_item'      => esc_html__( 'Insert into item', 'alvida' ),
		'uploaded_to_this_item' => esc_html__( 'Uploaded to this item', 'alvida' ),
		'items_list'            => esc_html__( 'Items list', 'alvida' ),
		'items_list_navigation' => esc_html__( 'Items list navigation', 'alvida' ),
		'filter_items_list'     => esc_html__( 'Filter items list', 'alvida' ),
	);
	$args = array(
		'label'                 => esc_html__( 'Portfolio', 'alvida' ),
		'labels'                => $labels,
		'supports'              => array( 'title', 'editor', 'thumbnail', ),
		'taxonomies'            => array( 'cat_portfolios' ),
		'hierarchical'          => false,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 5,
		'menu_icon'   => 'dashicons-portfolio',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => true,		
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
	);
	register_post_type( 'portfolios', $args );

}
add_action( 'init', 'alvida_portfolio', 0 );

}

if ( ! function_exists( 'alvida_portfolio_cat' ) ) {

// Register Custom Taxonomy
function alvida_portfolio_cat() {

	$labels = array(
		'name'                       => esc_html_x( 'Categories', 'Taxonomy General Name', 'alvida' ),
		'singular_name'              => esc_html_x( 'Category', 'Taxonomy Singular Name', 'alvida' ),
		'menu_name'                  => esc_html__( 'Category', 'alvida' ),
		'all_items'                  => esc_html__( 'All Items', 'alvida' ),
		'parent_item'                => esc_html__( 'Parent Item', 'alvida' ),
		'parent_item_colon'          => esc_html__( 'Parent Item:', 'alvida' ),
		'new_item_name'              => esc_html__( 'New Item Name', 'alvida' ),
		'add_new_item'               => esc_html__( 'Add New Item', 'alvida' ),
		'edit_item'                  => esc_html__( 'Edit Item', 'alvida' ),
		'update_item'                => esc_html__( 'Update Item', 'alvida' ),
		'view_item'                  => esc_html__( 'View Item', 'alvida' ),
		'separate_items_with_commas' => esc_html__( 'Separate items with commas', 'alvida' ),
		'add_or_remove_items'        => esc_html__( 'Add or remove items', 'alvida' ),
		'choose_from_most_used'      => esc_html__( 'Choose from the most used', 'alvida' ),
		'popular_items'              => esc_html__( 'Popular Items', 'alvida' ),
		'search_items'               => esc_html__( 'Search Items', 'alvida' ),
		'not_found'                  => esc_html__( 'Not Found', 'alvida' ),
		'no_terms'                   => esc_html__( 'No items', 'alvida' ),
		'items_list'                 => esc_html__( 'Items list', 'alvida' ),
		'items_list_navigation'      => esc_html__( 'Items list navigation', 'alvida' ),
	);
	$args = array(
		'labels'                     => $labels,
		'hierarchical'               => true,
		'public'                     => true,
		'show_ui'                    => true,
		'show_admin_column'          => true,
		'show_in_nav_menus'          => true,
		'show_tagcloud'              => true,
	);
	register_taxonomy( 'cat_portfolios', array( 'portfolios' ), $args );

}
add_action( 'init', 'alvida_portfolio_cat', 0 );

}

if ( ! function_exists('alvida_team') ) {

// Register Custom Post Type
function alvida_team() {

	$labels = array(
		'name'                  => esc_html_x( 'Team', 'Post Type General Name', 'alvida' ),
		'singular_name'         => esc_html_x( 'Team', 'Post Type Singular Name', 'alvida' ),
		'menu_name'             => esc_html__( 'Team', 'alvida' ),
		'name_admin_bar'        => esc_html__( 'Team', 'alvida' ),
		'archives'              => esc_html__( 'Item Archives', 'alvida' ),
		'attributes'            => esc_html__( 'Item Attributes', 'alvida' ),
		'parent_item_colon'     => esc_html__( 'Parent Item:', 'alvida' ),
		'all_items'             => esc_html__( 'All Items', 'alvida' ),
		'add_new_item'          => esc_html__( 'Add New Item', 'alvida' ),
		'add_new'               => esc_html__( 'Add New', 'alvida' ),
		'new_item'              => esc_html__( 'New Item', 'alvida' ),
		'edit_item'             => esc_html__( 'Edit Item', 'alvida' ),
		'update_item'           => esc_html__( 'Update Item', 'alvida' ),
		'view_item'             => esc_html__( 'View Item', 'alvida' ),
		'view_items'            => esc_html__( 'View Items', 'alvida' ),
		'search_items'          => esc_html__( 'Search Item', 'alvida' ),
		'not_found'             => esc_html__( 'Not found', 'alvida' ),
		'not_found_in_trash'    => esc_html__( 'Not found in Trash', 'alvida' ),
		'featured_image'        => esc_html__( 'Featured Image', 'alvida' ),
		'set_featured_image'    => esc_html__( 'Set featured image', 'alvida' ),
		'remove_featured_image' => esc_html__( 'Remove featured image', 'alvida' ),
		'use_featured_image'    => esc_html__( 'Use as featured image', 'alvida' ),
		'insert_into_item'      => esc_html__( 'Insert into item', 'alvida' ),
		'uploaded_to_this_item' => esc_html__( 'Uploaded to this item', 'alvida' ),
		'items_list'            => esc_html__( 'Items list', 'alvida' ),
		'items_list_navigation' => esc_html__( 'Items list navigation', 'alvida' ),
		'filter_items_list'     => esc_html__( 'Filter items list', 'alvida' ),
	);
	$args = array(
		'label'                 => esc_html__( 'Team', 'alvida' ),
		'labels'                => $labels,
		'supports'              => array( 'title', 'thumbnail', ),
		'hierarchical'          => false,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 5,
		'menu_icon'   => 'dashicons-groups',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => true,		
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
	);
	register_post_type( 'team', $args );

}
add_action( 'init', 'alvida_team', 0 );

}

if ( ! function_exists('alvida_pricing') ) {

// Register Custom Post Type
function alvida_pricing() {

	$labels = array(
		'name'                  => esc_html_x( 'Pricing', 'Post Type General Name', 'alvida' ),
		'singular_name'         => esc_html_x( 'Pricing', 'Post Type Singular Name', 'alvida' ),
		'menu_name'             => esc_html__( 'Pricing', 'alvida' ),
		'name_admin_bar'        => esc_html__( 'Pricing', 'alvida' ),
		'archives'              => esc_html__( 'Item Archives', 'alvida' ),
		'attributes'            => esc_html__( 'Item Attributes', 'alvida' ),
		'parent_item_colon'     => esc_html__( 'Parent Item:', 'alvida' ),
		'all_items'             => esc_html__( 'All Items', 'alvida' ),
		'add_new_item'          => esc_html__( 'Add New Item', 'alvida' ),
		'add_new'               => esc_html__( 'Add New', 'alvida' ),
		'new_item'              => esc_html__( 'New Item', 'alvida' ),
		'edit_item'             => esc_html__( 'Edit Item', 'alvida' ),
		'update_item'           => esc_html__( 'Update Item', 'alvida' ),
		'view_item'             => esc_html__( 'View Item', 'alvida' ),
		'view_items'            => esc_html__( 'View Items', 'alvida' ),
		'search_items'          => esc_html__( 'Search Item', 'alvida' ),
		'not_found'             => esc_html__( 'Not found', 'alvida' ),
		'not_found_in_trash'    => esc_html__( 'Not found in Trash', 'alvida' ),
		'featured_image'        => esc_html__( 'Featured Image', 'alvida' ),
		'set_featured_image'    => esc_html__( 'Set featured image', 'alvida' ),
		'remove_featured_image' => esc_html__( 'Remove featured image', 'alvida' ),
		'use_featured_image'    => esc_html__( 'Use as featured image', 'alvida' ),
		'insert_into_item'      => esc_html__( 'Insert into item', 'alvida' ),
		'uploaded_to_this_item' => esc_html__( 'Uploaded to this item', 'alvida' ),
		'items_list'            => esc_html__( 'Items list', 'alvida' ),
		'items_list_navigation' => esc_html__( 'Items list navigation', 'alvida' ),
		'filter_items_list'     => esc_html__( 'Filter items list', 'alvida' ),
	);
	$args = array(
		'label'                 => esc_html__( 'Pricing', 'alvida' ),
		'labels'                => $labels,
		'supports'              => array( 'title', ),
		'hierarchical'          => false,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 5,
		'menu_icon'   => 'dashicons-index-card',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => true,		
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
	);
	register_post_type( 'pricing', $args );

}
add_action( 'init', 'alvida_pricing', 0 );

}

if ( ! function_exists('alvida_testimonials') ) {

// Register Custom Post Type
function alvida_testimonials() {

	$labels = array(
		'name'                  => esc_html_x( 'Testimonials', 'Post Type General Name', 'alvida' ),
		'singular_name'         => esc_html_x( 'Testimonials', 'Post Type Singular Name', 'alvida' ),
		'menu_name'             => esc_html__( 'Testimonials', 'alvida' ),
		'name_admin_bar'        => esc_html__( 'Testimonials', 'alvida' ),
		'archives'              => esc_html__( 'Item Archives', 'alvida' ),
		'attributes'            => esc_html__( 'Item Attributes', 'alvida' ),
		'parent_item_colon'     => esc_html__( 'Parent Item:', 'alvida' ),
		'all_items'             => esc_html__( 'All Items', 'alvida' ),
		'add_new_item'          => esc_html__( 'Add New Item', 'alvida' ),
		'add_new'               => esc_html__( 'Add New', 'alvida' ),
		'new_item'              => esc_html__( 'New Item', 'alvida' ),
		'edit_item'             => esc_html__( 'Edit Item', 'alvida' ),
		'update_item'           => esc_html__( 'Update Item', 'alvida' ),
		'view_item'             => esc_html__( 'View Item', 'alvida' ),
		'view_items'            => esc_html__( 'View Items', 'alvida' ),
		'search_items'          => esc_html__( 'Search Item', 'alvida' ),
		'not_found'             => esc_html__( 'Not found', 'alvida' ),
		'not_found_in_trash'    => esc_html__( 'Not found in Trash', 'alvida' ),
		'featured_image'        => esc_html__( 'Featured Image', 'alvida' ),
		'set_featured_image'    => esc_html__( 'Set featured image', 'alvida' ),
		'remove_featured_image' => esc_html__( 'Remove featured image', 'alvida' ),
		'use_featured_image'    => esc_html__( 'Use as featured image', 'alvida' ),
		'insert_into_item'      => esc_html__( 'Insert into item', 'alvida' ),
		'uploaded_to_this_item' => esc_html__( 'Uploaded to this item', 'alvida' ),
		'items_list'            => esc_html__( 'Items list', 'alvida' ),
		'items_list_navigation' => esc_html__( 'Items list navigation', 'alvida' ),
		'filter_items_list'     => esc_html__( 'Filter items list', 'alvida' ),
	);
	$args = array(
		'label'                 => esc_html__( 'Testimonials', 'alvida' ),
		'labels'                => $labels,
		'supports'              => array( 'title', 'editor', 'thumbnail' ),
		'hierarchical'          => false,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 5,
		'menu_icon'   => 'dashicons-smiley',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => true,		
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
	);
	register_post_type( 'testimonials', $args );

}
add_action( 'init', 'alvida_testimonials', 0 );

}

if ( ! function_exists('alvida_client') ) {

// Register Custom Post Type
function alvida_client() {

	$labels = array(
		'name'                  => esc_html_x( 'Clients', 'Post Type General Name', 'alvida' ),
		'singular_name'         => esc_html_x( 'Clients', 'Post Type Singular Name', 'alvida' ),
		'menu_name'             => esc_html__( 'Clients', 'alvida' ),
		'name_admin_bar'        => esc_html__( 'Clients', 'alvida' ),
		'archives'              => esc_html__( 'Item Archives', 'alvida' ),
		'attributes'            => esc_html__( 'Item Attributes', 'alvida' ),
		'parent_item_colon'     => esc_html__( 'Parent Item:', 'alvida' ),
		'all_items'             => esc_html__( 'All Items', 'alvida' ),
		'add_new_item'          => esc_html__( 'Add New Item', 'alvida' ),
		'add_new'               => esc_html__( 'Add New', 'alvida' ),
		'new_item'              => esc_html__( 'New Item', 'alvida' ),
		'edit_item'             => esc_html__( 'Edit Item', 'alvida' ),
		'update_item'           => esc_html__( 'Update Item', 'alvida' ),
		'view_item'             => esc_html__( 'View Item', 'alvida' ),
		'view_items'            => esc_html__( 'View Items', 'alvida' ),
		'search_items'          => esc_html__( 'Search Item', 'alvida' ),
		'not_found'             => esc_html__( 'Not found', 'alvida' ),
		'not_found_in_trash'    => esc_html__( 'Not found in Trash', 'alvida' ),
		'featured_image'        => esc_html__( 'Featured Image', 'alvida' ),
		'set_featured_image'    => esc_html__( 'Set featured image', 'alvida' ),
		'remove_featured_image' => esc_html__( 'Remove featured image', 'alvida' ),
		'use_featured_image'    => esc_html__( 'Use as featured image', 'alvida' ),
		'insert_into_item'      => esc_html__( 'Insert into item', 'alvida' ),
		'uploaded_to_this_item' => esc_html__( 'Uploaded to this item', 'alvida' ),
		'items_list'            => esc_html__( 'Items list', 'alvida' ),
		'items_list_navigation' => esc_html__( 'Items list navigation', 'alvida' ),
		'filter_items_list'     => esc_html__( 'Filter items list', 'alvida' ),
	);
	$args = array(
		'label'                 => esc_html__( 'Clients', 'alvida' ),
		'labels'                => $labels,
		'supports'              => array( 'title', 'thumbnail', ),
		'hierarchical'          => false,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 5,
		'menu_icon'   => 'dashicons-nametag',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => true,		
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
	);
	register_post_type( 'clients', $args );

}
add_action( 'init', 'alvida_client', 0 );

}